Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationLight Class Reference

変換ライト More...

`#include <TranslationLight.h>`

Inheritance diagram for LampForMaya::TranslationLight:

List of all members.

## Public Member Functions
virtual | ~TranslationLight ()
| デストラクタ
virtual bool | analyze ()=0
| 分析
virtual bool | convertToLamp (Scene *scene)=0
| Lampへの変換.
virtual MObject | getObject () const
| オブジェクトの取得
virtual String | getName () const
| 名前の取得
virtual bool | isAmbientLight () const
| アンビエントライトかどうか
virtual TranslationAmbientLight * | castAmbientLight () const
| アンビエントライトへのキャスト
virtual bool | isDirectionalLight () const
| ディレクショナルライトかどうか
virtual TranslationDirectionalLight * | castDirectionalLight () const
| ディレクショナルライトへのキャスト
virtual bool | isPointLight () const
| ポイントライトかどうか
virtual TranslationPointLight * | castPointLight () const
| ポイントライトへのキャスト
## Protected Member Functions
| TranslationLight (const MDagPath &initializeDagPath, const String &initializeName)
| コンストラクタ
virtual bool | analyzeLight ()
| ライトの分析
virtual float | calcRange (int decayRate)
| レンジの計算
## Protected Attributes
MDagPath | dagPath_
| Dagパス.
MObject | object_
| オブジェクト
String | name_
| 名前
Color3f | color_
| ライトカラー
Color3f | exportColor_
| 出力カラー
float | intensity_
| ライト強度
int | lightMask_
| ライトマスク
bool | visibility_
| 表示フラグ
## Static Protected Attributes
float | minimumLightPower = 256.f / 16.f
| 最小ライト強度
## Friends
class | TranslationLightManager

## Detailed Description

変換ライト

Definition at line 42 of file TranslationLight.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationLight::TranslationLight | ( | const MDagPath & | initializeDagPath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializeDagPath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 35 of file TranslationLight.cpp. References dagPath_, MayaStatusCheck, and object_.

## Member Function Documentation

virtual bool LampForMaya::TranslationLight::analyze | ( |  | ) | `[pure virtual]`

| 分析 Returns: 成功すればtrue Implemented in LampForMaya::TranslationAmbientLight, LampForMaya::TranslationDirectionalLight, and LampForMaya::TranslationPointLight. Referenced by LampForMaya::TranslationLightManager::analysisLight().

virtual float LampForMaya::TranslationLight::calcRange | ( | int | decayRate | ) | `[inline, protected, virtual]`

  | レンジの計算 Parameters:
  decayRate | 減衰率
Returns: レンジ Definition at line 152 of file TranslationLight.h. References exportColor_, and minimumLightPower. Referenced by LampForMaya::TranslationPointLight::convertToLamp().

virtual TranslationAmbientLight* LampForMaya::TranslationLight::castAmbientLight | ( |  | ) | const`[inline, virtual]`

| アンビエントライトへのキャスト Returns: アンビエントライト。型が違えばNULLを返す。 Definition at line 88 of file TranslationLight.h. References isAmbientLight().

virtual TranslationDirectionalLight* LampForMaya::TranslationLight::castDirectionalLight | ( |  | ) | const`[inline, virtual]`

| ディレクショナルライトへのキャスト Returns: ディレクショナルライト。型が違えばNULLを返す。 Definition at line 106 of file TranslationLight.h. References isDirectionalLight().

virtual TranslationPointLight* LampForMaya::TranslationLight::castPointLight | ( |  | ) | const`[inline, virtual]`

| ポイントライトへのキャスト Returns: ポイントライト。型が違えばNULLを返す。 Definition at line 124 of file TranslationLight.h. References isPointLight().

virtual bool LampForMaya::TranslationLight::convertToLamp | ( | Scene * | scene | ) | `[pure virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implemented in LampForMaya::TranslationAmbientLight, LampForMaya::TranslationDirectionalLight, and LampForMaya::TranslationPointLight. Referenced by LampForMaya::TranslationLightManager::convertToLamp().

virtual String LampForMaya::TranslationLight::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 73 of file TranslationLight.h. References name_.

virtual MObject LampForMaya::TranslationLight::getObject | ( |  | ) | const`[inline, virtual]`

| オブジェクトの取得 Returns: オブジェクト Definition at line 67 of file TranslationLight.h. References object_. Referenced by LampForMaya::TranslationLightManager::analysisLight().

virtual bool LampForMaya::TranslationLight::isAmbientLight | ( |  | ) | const`[inline, virtual]`

| アンビエントライトかどうか Returns: アンビエントライトならtrue Reimplemented in LampForMaya::TranslationAmbientLight. Definition at line 82 of file TranslationLight.h. Referenced by castAmbientLight().

virtual bool LampForMaya::TranslationLight::isDirectionalLight | ( |  | ) | const`[inline, virtual]`

| ディレクショナルライトかどうか Returns: ディレクショナルライトならtrue Reimplemented in LampForMaya::TranslationDirectionalLight. Definition at line 100 of file TranslationLight.h. Referenced by castDirectionalLight().

virtual bool LampForMaya::TranslationLight::isPointLight | ( |  | ) | const`[inline, virtual]`

| ポイントライトかどうか Returns: ポイントライトならtrue Reimplemented in LampForMaya::TranslationPointLight. Definition at line 118 of file TranslationLight.h. Referenced by castPointLight().

The documentation for this class was generated from the following files:

- TranslationLight.h
- TranslationLight.cpp